Commit a8653c28 authored by Maximiliano Curia's avatar Maximiliano Curia

Drop akonadi-server and backends in favor of the kf5 versions

parent 27183fcb
akonadi4 (1.13.0-9~) UNRELEASED; urgency=medium
* Drop akonadi-server and backends in favor of the kf5 versions.
-- Maximiliano Curia <maxy@debian.org> Tue, 21 Jun 2016 08:41:32 +0200
akonadi (1.13.0-8) unstable; urgency=medium
* Team upload.
......
Source: akonadi
Source: akonadi4
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
......@@ -24,26 +24,9 @@ Homepage: http://pim.kde.org/akonadi
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-req/akonadi.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-req/akonadi.git
Package: akonadi-server
Section: net
Architecture: any
Depends: akonadi-backend-mysql (= ${source:Version}) | akonadi-backend-sqlite (= ${binary:Version}) | akonadi-backend-postgresql (= ${source:Version}),
${misc:Depends},
${shlibs:Depends}
Suggests: akonadi-backend-mysql (= ${source:Version}),
akonadi-backend-postgresql (= ${source:Version}),
akonadi-backend-sqlite (= ${binary:Version})
Description: Akonadi PIM storage service
Akonadi is an extensible cross-desktop Personal Information Management (PIM)
storage service. It provides a common framework for applications to store and
access mail, calendars, addressbooks, and other PIM data.
.
This package contains the Akonadi PIM storage server and associated programs.
Package: libakonadiprotocolinternals1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: akonadi-server (= ${binary:Version})
Replaces: libakonadiprivate1 (<< 1.4.90)
Breaks: libakonadiprivate1 (<< 1.4.90), kdepim-runtime (<< 4:4.13)
Description: libraries for the Akonadi PIM storage service
......@@ -68,72 +51,3 @@ Description: development files for the Akonadi PIM storage service
.
This package contains development files for building software that uses the
Akonadi PIM storage service.
Package: akonadi-backend-mysql
Section: misc
Architecture: all
Depends: libqt4-sql-mysql,
mysql-server-core-5.6 | virtual-mysql-server-core,
${misc:Depends}
Recommends: akonadi-server
Replaces: akonadi-server (<< 1.3.60~)
Breaks: akonadi-server (<< 1.3.60~)
Description: MySQL storage backend for Akonadi
Akonadi is an extensible cross-desktop Personal Information Management (PIM)
storage service. It provides a common framework for applications to store and
access mail, calendars, addressbooks, and other PIM data.
.
This package installs everything what's needed for Akonadi to work with MySQL
as underlying data storage engine. By default, a local MySQL server instance
will be started for each user. Alternatively, connection to an external MySQL
database is supported as well.
Package: akonadi-backend-postgresql
Section: misc
Architecture: all
Depends: libqt4-sql-psql, ${misc:Depends}
Recommends: akonadi-server, postgresql
Replaces: akonadi-server (<< 1.3.60~)
Breaks: akonadi-server (<< 1.3.60~)
Description: PostgreSQL storage backend for Akonadi
Akonadi is an extensible cross-desktop Personal Information Management (PIM)
storage service. It provides a common framework for applications to store and
access mail, calendars, addressbooks, and other PIM data.
.
This package installs everything what's needed for Akonadi to work with
PostgreSQL as underlying data storage engine. By default, a local PostgreSQL
server instance will be started for each user. Alternatively, connection to an
external PostgreSQL database is supported as well.
Package: akonadi-backend-sqlite
Section: misc
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: akonadi-server
Description: SQLite storage backend for Akonadi
Akonadi is an extensible cross-desktop Personal Information Management (PIM)
storage service. It provides a common framework for applications to store and
access mail, calendars, addressbooks, and other PIM data.
.
This package installs everything what's needed for Akonadi to work with SQLite
as underlying data storage engine. Since SQLite is an embedded database
engine, a separate SQL server daemon is not necessary.
.
In addition, the package contains an improved QSql driver for SQLite named
"QSQLite3". It can be used by any application that needs to access SQLite
databases via standard Qt QSql framework.
Package: akonadi-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}
Suggests: akonadi-server (= ${binary:Version})
Description: debugging symbols for the Akonadi PIM storage service
Akonadi is an extensible cross-desktop Personal Information Management (PIM)
storage service. It provides a common framework for applications to store and
access mail, calendars, addressbooks, and other PIM data.
.
This package contains debugging files used to investigate problems with
the Akonadi PIM storage service.
......@@ -14,16 +14,11 @@ override_dh_auto_configure:
-DINSTALL_QSQLITE_IN_QT_PREFIX=ON \
-DCONFIG_INSTALL_DIR=/etc
override_dh_installdocs:
# Install README.Debian to backend packages
$(overridden_command) -A -pakonadi-server $(foreach p,$(backend_packages),-p$(p)) debian/README.Debian
$(overridden_command) --remaining-packages
override_dh_makeshlibs:
$(overridden_command) -V -- -c0
override_dh_strip:
$(overridden_command) --dbg-package=akonadi-dbg
$(overridden_command) --dbgsym-migration='akonadi-dbg (<= 1.13.0-9~~)'
override_dh_auto_test:
# Avoid tests extra build dependencies, check them with autopkgtests
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment